# SPDX-FileCopyrightText: 2023 Bundesministerium des Innern und für Heimat, PG ZenDiS "Projektgruppe für Aufbau ZenDiS"
# SPDX-License-Identifier: Apache-2.0
---
include:
  - local: "ci/common/lint.yml"
  - local: "ci/container/container-build.yml"
  - local: "ci/release-automation/semantic-release.yml"

stages:
  - ".pre"
  - "build"
  - "scan"
  - "release"
  - ".post"

container-build:
  dependencies:
    - "generate-release-version"
  needs:
    - "generate-release-version"

container-tag:
  dependencies:
    - "generate-release-version"
  variables:
    DESIRED_TAG: "${RELEASE_VERSION}"
    ADDITIONAL_TAGS: "latest"
...
